Social Fetch
YouTube

Get YouTube channel

Looks up a YouTube channel by `channelId`, `handle`, or full `url`.

Operation

GET/v1/youtube/channel

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

channelIdstring(query)

Optional YouTube channel id for the request.

min 1 chars · max 4096 chars

handlestring(query)

Optional YouTube channel handle for the request.

min 1 chars · max 64 chars

urlstring(query)

Optional YouTube channel URL for the request.

min 1 chars · max 4096 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the channel was found or not found.

one of: found, not_found

datachannel
objectrequirednullable

Channel details when available.

datachannelplatform
stringrequired

Social platform for this channel.

one of: youtube

datachannelhandle
stringrequired

YouTube channel handle without the leading @.

datachanneldisplayName
stringrequirednullable

Public display name for the YouTube channel.

datachannelbio
stringrequirednullable

Channel description text when available.

datachannelavatarUrl
stringrequirednullable

Best available square avatar image URL.

datachannelbannerUrl
stringrequirednullable

Channel banner image URL when available.

datachannelverified
booleanrequired

Whether the channel is marked as verified.

datachannelprofileUrl
stringrequired

Canonical public YouTube channel URL.

min 1 chars

datachannelplatformUserId
string

YouTube channel id (stable identifier for the channel).

datachannelcountry
stringnullable

Country label when available.

datachanneljoinedDateText
stringnullable

Human-readable join date text from YouTube when available (not guaranteed to parse to a calendar date).

datachannelexternalLinks
array

Deduplicated outbound links associated with the channel when available.

datachannelexternalLinks[]
string

min 1 chars

datametrics
objectrequirednullable

Channel metrics when available.

datametricssubscribers
integerrequirednullable

Subscriber count for the channel when available.

≥ 0

datametricsvideos
integerrequirednullable

Public video count for the channel when available.

≥ 0

datametricsviews
integerrequirednullable

Total view count reported for the channel when available.

≥ 0

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Lookup result. Check `data.lookupStatus` for `found` or `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page